> Documentation index for AI agents: https://docs.pagerduty.com/llms.txt

# Get the License allocated to a User

`GET https://api.pagerduty.com/users/{id}/license`

Get the License allocated to a User

Scoped OAuth requires: `licenses.read`

## Authorization

- **api_key** (apiKey) — `Authorization` header. The API Key with format `Token token=<API_KEY>`

## Path parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `id` | string | yes | The ID of the resource. |

## Header parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `Accept` | string | yes | The `Accept` header is used as a versioning header. Default: `application/vnd.pagerduty+json;version=2`. |

## Response 200

The License allocated to the User

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `license` | object | yes |  |
| `license.id` | string | yes | Uniquely identifies the resource. |
| `license.description` | string | yes | Description of the License. May include the names of add-ons associated with the License, if there are any. |
| `license.name` | string | yes | Name of the License. |
| `license.valid_roles` | array of string | yes | The roles a User with this License can have. |
| `license.role_group` | string |  | Indicates whether this License is assignable to full or stakeholder Users. One of: `FullUser`, `Stakeholder`. |
| `license.type` | string |  | Type of object. |
| `license.self` | string |  | API URL to access the License. |
| `license.html_url` | string |  | HTML URL to access the License. |
| `license.summary` | string |  | Summary of the License. |

Example: Response Example

```json
{
  "license": {
    "id": "PIP248G",
    "name": "Business (Full User)",
    "description": "Event Intelligence",
    "valid_roles": [
      "owner",
      "admin",
      "user",
      "limited_user",
      "observer",
      "restricted_access"
    ],
    "role_group": "FullUser",
    "summary": "Business (Full User)",
    "type": "license",
    "self": null,
    "html_url": null
  }
}
```

## Response 401

Caller did not supply credentials or did not provide the correct credentials.
If you are using an API key, it may be invalid or your Authorization header may be malformed.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 403

Caller is not authorized to view the requested resource.
While your authentication is valid, the authenticated user or token does not have permission to perform this action.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 404

The requested resource was not found.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Developer Agreement

Your access to and use of the PagerDuty Developer Services is governed by the [PagerDuty Developer Agreement](https://docs.pagerduty.com/developer/pagerduty-developer-agreement).
